2020-12-05 00:34 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000462Frama-CKernel > Makefilepublic2010-12-17 19:36
Reportermehdi 
Assigned Tovirgile 
PrioritynormalSeverityfeatureReproducibilityalways
StatusclosedResolutionfixed 
Product VersionFrama-C Boron-20100401 
Target VersionFixed in VersionFrama-C Carbon-20101201-beta1 
Summary0000462: Makefile.dynamic should not change known_plugins.ac
Description
I'm not sure whether this is a bug or a feature, but in my understanding, installing an external plugin for Frama-C should not modify the files installed by Frama-C itself.

In this specific case, when the Jessie plugin wants to install, 'Makefile.dynamic' tells to append a line in '/usr/share/frama-c/known_plugins.ac'. If the user doesn't have write access on 'known_plugins.ac', the installation fails. Specifically, this would have lead to a build failure on any Debian build daemon. For now, I've desactivated this "feature" in 'Makefile.dynamic' using the attached patch.

'known_plugins.ac' is used only by the configure scripts of aorai and security_slicing. IMHO, they should rely on the existence of plugin files rather than some text file with (potentially) random content.
TagsNo tags attached.
Attached Files
  • patch file icon 0005-Don-t-modify-system-files.patch (945 bytes) 2010-04-27 15:54 -
    From: Mehdi Dogguy <mehdi@debian.org>
    Date: Tue, 27 Apr 2010 13:10:54 +0200
    Subject: [PATCH] Don't modify system files
    
    ---
     share/Makefile.dynamic |    6 +++---
     1 files changed, 3 insertions(+), 3 deletions(-)
    
    diff --git a/share/Makefile.dynamic b/share/Makefile.dynamic
    index e35b0b7..dbe5098 100644
    --- a/share/Makefile.dynamic
    +++ b/share/Makefile.dynamic
    @@ -191,9 +191,9 @@ install::
     	  $(CP) frama-c-$(PLUGIN_NAME).$(OCAMLBEST)$(EXE) \
     		$(BINDIR)/frama-c-$(PLUGIN_NAME)$(EXE); \
     	fi
    -	$(PRINT_UPDATE) $(FRAMAC_SHARE)/known_plugins.ac
    -	echo "ENABLE_`echo $(PLUGIN_NAME) | tr "a-z" "A-Z"`=$(PLUGIN_ENABLE)" \
    -	  >> $(FRAMAC_SHARE)/known_plugins.ac
    +#	$(PRINT_UPDATE) $(FRAMAC_SHARE)/known_plugins.ac
    +#	echo "ENABLE_`echo $(PLUGIN_NAME) | tr "a-z" "A-Z"`=$(PLUGIN_ENABLE)" \
    +#	  >> $(FRAMAC_SHARE)/known_plugins.ac
     ifeq ($(HAS_GUI),yes)
     	$(PRINT_CP) $(PLUGIN_INSTALL_DIR)/gui
     	$(CP) $(TARGETS_GUI) $(PLUGIN_INSTALL_DIR)/gui
    -- 
    
    patch file icon 0005-Don-t-modify-system-files.patch (945 bytes) 2010-04-27 15:54 +

-Relationships
parent of 0000606closedsignoles Don't edit files in make install. Instead, just use all plug-ins in the plugin directory 
related to 0000528closedsignoles Makefile.dynamic should always write to $(DESTDIR) 
+Relationships

-Notes
There are no notes attached to this issue.
+Notes

-Issue History
Date Modified Username Field Change
2010-04-27 15:54 mehdi New Issue
2010-04-27 15:54 mehdi Status new => assigned
2010-04-27 15:54 mehdi Assigned To => signoles
2010-04-27 15:54 mehdi File Added: 0005-Don-t-modify-system-files.patch
2010-04-27 16:00 signoles Assigned To signoles => virgile
2010-07-05 11:09 signoles Relationship added related to 0000528
2010-08-18 18:38 svn
2010-08-18 18:38 svn Status assigned => resolved
2010-08-18 18:38 svn Resolution open => fixed
2010-10-14 08:56 signoles Relationship added related to 0000606
2010-10-14 09:05 signoles Relationship deleted related to 0000606
2010-10-14 09:06 signoles Relationship added parent of 0000606
2010-12-10 15:45 signoles Fixed in Version => Frama-C Carbon-20101201-beta1
2010-12-17 19:36 signoles Status resolved => closed
+Issue History